[ubuntu/jammy-proposed] symfony 5.4.2+dfsg-1 (Accepted)

Utkarsh Gupta utkarsh.gupta at canonical.com
Tue Jan 4 14:49:35 UTC 2022


symfony (5.4.2+dfsg-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 5.4.2

  [ David Prévot ]
  * Update php-symfony-debug-bundle description

symfony (5.4.1+dfsg-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 5.4.1

symfony (5.4.0+dfsg-2) unstable; urgency=medium

  * Upload to unstable after NEW processing
  * Revert "Breaks php-doctrine-bundle"

symfony (5.4.0+dfsg-1) experimental; urgency=medium

  Upload to experimental for NEW processing

  [ Fabien Potencier ]
  * Update VERSION for 5.4.0

  [ Nicolas Grekas ]
  * [Notifier] add Vonage bridge to replace the Nexmo one

  [ David Prévot ]
  * Add new php-symfony-vonage-notifier package
  * Revert "Don’t run tests in parallel"
  * Don’t run tests twice
  * Skip test instead of droping assertion

symfony (5.4.0~rc1+dfsg-3) unstable; urgency=medium

  * Blacklist symfony\\config\\ namespace
  * [Console] Drop assertion failing on CI

symfony (5.4.0~rc1+dfsg-2) unstable; urgency=medium

  * Upload to unstable now that all build-dependencies are available
  * Don’t run tests in parallel
  * Breaks php-doctrine-bundle
  * Provide vendor/autoload_runtime.php for CI
  * Use installed files for CI
  * Install php-phpstan-phpdoc-parser for CI

symfony (5.4.0~rc1+dfsg-1) experimental; urgency=medium

  [ Jérémy Derussé ]
  * Fix missing extra trusted header in sub-request [CVE-2021-41267]
  * Use single quote to escape formulas [CVE-2021-41270]

  [ Wouter de Jong ]
  * [SecurityBundle] Default signature_properties to the previous behavior
    [CVE-2021-41268]

  [ Fabien Potencier ]
  * Update VERSION for 5.4.0-RC1

  [ David Prévot ]
  * Use php-email-validator 2 for now

symfony (5.4.0~beta3+dfsg-1) experimental; urgency=medium

  [ Fabien Potencier ]
  * [Notifier] Fix package name
  * Update VERSION for 5.4.0-BETA3

  [ David Prévot ]
  * Rename packages after upstream change
    - php-symfony-allmysms-notifier -> php-symfony-all-my-sms-notifier
    - php-symfony-gatewayapi-notifier -> php-symfony-gateway-api-notifier
    - php-symfony-turbosms-notifier -> php-symfony-turbo-sms-notifier

symfony (5.4.0~beta2+dfsg-1) experimental; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 5.4.0-BETA2

  [ David Prévot ]
  * Use php-predis instead of php-nrk-predis
  * Generate main autoload.php at build-time

symfony (5.4.0~beta1+dfsg-1) experimental; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 5.4.0-BETA1

  * Track version 5 for Bookworm
  * Clean up manual overrides
  * Add new packages:
    - php-symfony-oh-my-smtp-mailer
    - php-symfony-amazon-sns-notifier
    - php-symfony-expo-notifier
    - php-symfony-mailjet-notifier
    - php-symfony-message-media-notifier
    - php-symfony-one-signal-cloud-notifier
    - php-symfony-sms77-notifier
    - php-symfony-smsc-notifier
    - php-symfony-telnyx-notifier
    - php-symfony-turbosms-notifier
    - php-symfony-yunpian-notifier
  * Build-Depend on php-async-aws-sns
  * Update Homepage URLs

symfony (5.3.10+dfsg-1) experimental; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 5.3.10

  [ David Prévot ]
  * Drop php-doctrine-bundle dependency not needed anymore

symfony (5.3.9+dfsg-1) experimental; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 5.3.9

  [ David Prévot ]
  * Add new components:
    - php-symfony-password-hasher
    - php-symfony-runtime
    - php-symfony-allmysms-notifier, php-symfony-clickatell-notifier,
      php-symfony-fake-chat-notifier, php-symfony-fake-sms-notifier,
      php-symfony-gatewayapi-notifier, php-symfony-gitter-notifier,
      php-symfony-iqsms-notifier, php-symfony-light-sms-notifier,
      php-symfony-mercure-notifier, php-symfony-message-bird-notifier,
      php-symfony-microsoft-teams-notifier, php-symfony-octopush-notifier,
      php-symfony-sms-biuras-notifier, php-symfony-spot-hit-notifier
    - php-symfony-crowdin-translation-provider
    - php-symfony-loko-translation-provider
    - php-symfony-localize-translation-provider
  * Add php-symfony-mercure and php-symfony-polyfill-php81 (build-)dependencies
  * Update Hompage URLs to 5.3
  * Let phpab be also tolerant with Intl
  * Don’t rely on /simple-phpunit.php
  * Revert upstream change relying on composer
  * Drop composer-plugin-api that confuses pkg-php-tools
  * Use autoload_runtime.php for Runtime tests
  * Update licensing checksums for false positives
  * Update standards version to 4.6.0, no changes needed

Date: 2021-12-31 04:36:43.243415+00:00
Signed-By: Utkarsh Gupta <utkarsh.gupta at canonical.com>
https://launchpad.net/ubuntu/+source/symfony/5.4.2+dfsg-1
-------------- next part --------------
Sorry, changesfile not available.


More information about the jammy-changes mailing list